from settings import settings
import settings_manager
import unittest


class test_settings(unittest.TestCase):
    
    
    #
    # Провеиить корректность заполнения поля first_name
    #
    def test_check_first_name(self):
        # Подготовка
        item = settings()
        
        # Действие
        item.first_name = "a  "
        
        # Проверка
        assert item.first_name == "a"

    #
    # Проверить, что settings_manager инстанциируется только один раз
    #
    def test_check_settings_manager_singleton(self):
        # Подготовка
        a = settings_manager()
        b = settings_manager()

        # Действие

        # Проверка
        assert a is b

    
    #
    # Проверить корректность загрузки настроек
    #
    def test_check_open_settings(self):
        # Подготовка
        item = settings_manager()
        
        # Действие
        result = item.open("settings.json")

        # Проверка
        assert result == True